Get a Specific Transaction

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/{id}

Returns a specific transaction file owned by the authenticated user.

Path parameters

  • id string(uuid) Required

    TransactionGUID

Responses

  • 200 application/json

    Transaction returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      TransactionGUID used to uniquely identify this specific Transaction

    • name string

      Name of the transaction file as it appears in the application

    • statusId string(uuid)

      TransactionStatusGUID. See Glossary for values.

    • typeId string(uuid)

      TransactionTypeGUID. See Glossary for values.

    • ownerId string(uuid)

      OwnerID of this Transaction File

    • dateCreated string(date-time)
    • lastModified string(date-time)
  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
  • 404 application/json

    Transaction not found

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
GET /v2/transactions/{id}
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "805355ec-7f7d-413e-986a-c767ea0632da",
  "name": "1916 Glenarbor Way",
  "statusId": "6d6d2bfe-b166-4f2c-9027-629f09a35b79",
  "typeId": "2d9d021d-beb7-456d-9cae-6ce5486ac3f5",
  "ownerId": "5ec37bc1-9f55-4fe2-b9c4-1072f9954312",
  "dateCreated": "2019-05-14T23:49:49.143+00:00",
  "lastModified": "2019-05-14T23:49:52.27+00:00"
}
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}
Response examples (404)
{
  "code": 404,
  "message": "Item not found.",
  "details": []
}